[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# TInterfacedObject.AfterConstruction

Handle reference count properly.

## Declaration

Source position: objpash.inc line 309

`public procedure TInterfacedObject.AfterConstruction; override;`

## Description

AfterConstruction overrides the basic method in TObject and adds some additional reference count handling.

## Errors

None.

## See also

BeforeDestruction |  | Check reference count.